Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.stgsyl

scipy.linalg.lapack.stgsyl(a, b, c, d, e, f[, trans, ijob, lwork, overwrite_c, overwrite_f]) = <fortran function stgsyl>

  Wrapper for `stgsyl`.

  Parameters:
    a input rank-2 array(‘f’) with bounds (m,m)
    b input rank-2 array(‘f’) with bounds (n,n)
    c input rank-2 array(‘f’) with bounds (m,n)
    d input rank-2 array(‘f’) with bounds (m,m)
    e input rank-2 array(‘f’) with bounds (n,n)
    f input rank-2 array(‘f’) with bounds (m,n)
  Returns:
    r rank-2 array(‘f’) with bounds (m,n) and c storage
    l rank-2 array(‘f’) with bounds (m,n) and f storage
    scale float
    dif float
    info int
  Other Parameters:
    trans input bytes, optional

      Default: ‘N’

    ijob input int, optional

      Default: 0

    overwrite_c input int, optional

      Default: 0

    overwrite_f input int, optional

      Default: 0

    lwork input int, optional

      Default: max(1,2*m*n)